# Assignment 1

## Running the code 
The code is run by typing the following command in the terminal: 

```sh
go run main.go
```

When the server starts, you can open your browser and navigate to:
* http://localhost:8080/ 
    - This is the homepage of the API.
    - When the server starts, you may be automatically redirected here.
* Alternatively, you can use one of the endpoints described below to navigate the application.

## Homepage (/)
When you open the API without specific requests (http://localhost:8080/), you will receive a JSON response with information on how to use the API.

Here you will find information about the three available endpoints:
1. info - Retrieves general information about a country.
2. population - Retrieves population data for a country.
3. status - Displays the status of the API.

Additionally, examples of how to send requests to the various endpoints are shown.

## Endpoint
### info
Retrieves information about a country based on a 2-letter country code (ISO 3166-2).

```sh
http://localhost:8080/countryinfo/v1/info/{country_code}{?limit=10}
```
* limit is an optional parameter that specifies the maximum number of cities to display with the selected country (Default is 10).
* Method: GET
* Example: http://localhost:8080/countryinfo/v1/info/NO?limit=4

#### population
Retrieves population data for a country based on a 2-letter country code (ISO 3166-2).

```sh
http://localhost:8080/countryinfo/v1/population/{country_code}{?startyear-endYear}
```
* startYear-endYear is an optional parameter that limits the specific years from which you retrieve population data (Default is all available years).
* Method: GET
* Example: http://localhost:8080/countryinfo/v1/population/NO?limit=2010-2015

### status
Displays the status of the external APIs, version, and the application's uptime.

 ```sh
http://localhost:8080/countryinfo/v1/status
```
        


