package handelers

//URL
const HOMEPAGE_DEFAULT = "http://localhost:8080" 
const INFO_DEFAULT = "/countryinfo/v1/info/" 
const POPULATION_DEFAULT = "/countryinfo/v1/population/"
const STATUS_DEFAULT = "/countryinfo/v1/status/"
const SLASH_DEFAULT = "/"

//ERRORS
const CITIES_ERROR = "error retrieving cities, status code: "
const CITIES_ERROR2 = "no cities found for country %s"

//User information home page
const WELCOME_MESSAGE = "Welcome to the Country Info API"
const INFO_DESCRIPTION = "Provides information about a specific country. "
const INFO_DESCRIPTION_LIMIT = "It requires the ISO 3166-2 country code and a optional limit of cities in the response"
const INFO_URL_FORMAT = "http://localhost:8080/countryinfo/v1/info/{ISO_3166-2_country_code}{?limit=10}"
const INFO_URL_EXAMPLE = "http://localhost:8080/countryinfo/v1/info/NO?cities=5"
const INFO_HEADER = "Get country information"
const STATUS_HEADER = "Get status info"
const POPULATION_HEADER = "Get population info"
const STATUS_DESCRIPTION = "Retrieve information about the API status."
const STATUS_URL = "http://localhost:8080/countryinfo/v1/status/"
const POPULATION_DESCRIPTION = "It requires the ISO 3166-2 country code and a optional limit of the years in the repsonse"
const POPULATION_URL = "http://localhost:8080/countryinfo/v1/population/{ISO_3166-2_country_code}{?startYear-endYear}"
const POPULATION_URL_EXAMPLE = "http://localhost:8080/countryinfo/v1/population/NO?2010-2015"

//status
const CNA = "countriesnowapi"
const RCA = "restcountriesapi"
const VERSION = "version"
const UPTIME = "uptime"
const VERSJON = "v1"
const INTRO = "API status"

//information from server to client
const FORMAT_JSON = "application/json"
const HEADER_CONTENT_TYPE = "Content-Type"

//info
const URL_API = "http://129.241.150.113:8080/v3.1/alpha/"
const ERROR_RETRIEVING_COUNTRY_DATA = "error retrieving country data for country code: %s\n"
const COUNTRY_CODE_REMINDER = "Remember to use the 2-letter country code (ISO 3166-2).\n"
const CITY_LIMIT_REMINDER = "You can also specify how many cities to display with {?limit=<some_value>}.\n"
const EXAMPLE_URL = "Example: %s\n"
const ASSISTANCE_REMINDER = "If you need further assistance, please visit the homepage at: %s"
const CITIES = "cities"
const CITIES_URL = "https://countriesnow.space/api/v0.1/countries/cities/q?country="
const DATA = "data"

//extern API
const COUNTRIESNOW_API = "http://129.241.150.113:3500/api/v0.1/countries"
const RESTCOUNTRIES_API = "http://129.241.150.113:8080/v3.1/all"

//population
const YEAR_LIMIT_REMINDER = "You can also specify how many years to display with {?<startYear-endYear>}.\n"

