package handelers

type CountryInfo struct {
	Name struct {
		Common   string `json:"common"`
		Official string `json:"official"`
	} `json:"name"`
	Capital    []string          `json:"capital"`
	Languages  map[string]string `json:"languages"`
	Continents []string          `json:"continent"`
	Borders    []string          `json:"borders"`
	Population int               `json:"population"`
	Flags      string            `json:"flag"`
}

type CombinedInfo struct {
	Name       string            `json:"name"`
	Continents []string          `json:"continent"`
	Population int               `json:"population"`
	Languages  map[string]string `json:"languages"`
	Borders    []string          `json:"borders"`
	Flags      string            `json:"flag"`
	Capital    string            `json:"capital"`
	Cities     string            `json:"cities"`
}

type PopulationResponse struct {
	Error bool      `json:"error"`
	Msg   string    `json:"msg"`
	Data  []Country `json:"data"`
}

type Country struct {
	Name             string            `json:"country"`
	Code             string            `json:"iso3"` //(ISO 3166-1 alpha-3)
	PopulationCounts []PopulationYears `json:"populationCounts"`
}

type PopulationYears struct {
	Year  int `json:"year"`
	Value int `json:"value"`
}

type PopulationAPIResponse struct {
	Name         string            `json:"country"`
	Gjennomsnitt int               `json:"average population"`
	Values       []PopulationYears `json:"yearly population"`
}

type Response struct {
	WelcomeMessage string              `json:"welcome"`
	Endpoints      map[string]Endpoint `json:"endpoints"`
}

type Endpoint struct {
	Description string `json:"Description"`
	URL         string `json:"URL"`
	Example     string `json:"Example,omitempty"`
}
